Bug 15830 - Move Rotating Collections actions into a drop-down list
Summary: Move Rotating Collections actions into a drop-down list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-16 03:26 UTC by Aleisha Amohia
Modified: 2017-06-14 22:12 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15830 - Move Rotating Collections actions into a drop-down list (4.99 KB, patch)
2016-02-16 04:06 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15830 - Move Rotating Collections actions into a drop-down list (5.12 KB, patch)
2016-02-16 10:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15830 - Move Rotating Collections actions into a drop-down list (5.12 KB, patch)
2016-02-16 20:47 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15830 - Move Rotating Collections actions into a drop-down list (5.78 KB, patch)
2016-02-16 20:48 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15830 - Move Rotating Collections actions into a drop-down list (5.83 KB, patch)
2016-02-17 09:19 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15830 - Move Rotating Collections actions into a drop-down list (5.91 KB, patch)
2016-02-17 10:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-02-16 03:26:56 UTC
Similar to the patch for bug 13778
Comment 1 Aleisha Amohia 2016-02-16 04:06:46 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-02-16 10:33:24 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-02-16 12:18:04 UTC
Hi Aleisha,
If you want to use DataTables on this table, you should make it a valid table html element.
It should contain thead and tbody.
Moverover, the line:
+                { "aTargets": [ -1, -2, -3, -4 ], "bSortable": false, "bSearchable": false },

means: Do not allow to sort on the last 4 columns. It's not what you want, you only want to remove the sort on the last column.
Comment 4 Aleisha Amohia 2016-02-16 20:47:33 UTC Comment hidden (obsolete)
Comment 5 Aleisha Amohia 2016-02-16 20:48:34 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2016-02-17 09:19:12 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-02-17 10:53:28 UTC
Created attachment 48158 [details] [review]
Bug 15830 - Move Rotating Collections actions into a drop-down list

To test:
1) Go to Tools -> Rotating Collections
2) Confirm actions (Add or remove items, Transfer, Edit, Delete) have moved into a drop down menu
3) Confirm all of the actions work as expected

Sponsored-by: Catalyst IT

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Brendan Gallagher 2016-02-24 03:27:45 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!